---
layout: article
title: "Commands"
date: 2016-10-23 10:17:42 -0400
mod: discord-chat
mod-name: Discord Chat
---

All commands are executed by entering them into the Discord channel the bot is in, with the command prefix from the config (defaults to `!`) and all of the arguments.

#### `commands`
Lists all available commands. Commands that the sending user has permisison to use are **bolded**. See [Permissions](/discord-chat/permissions/) for more information about DiscordChat's permissions system.

Default permission level: Global

#### `help <command>`
Retrieves the help information for the given command.

Default permission level: Global

#### `reload`
Reloads the configuration and permissions.

Default permission level: Admin

#### `roleid <role>`
Retrieves the ID for the role with the given name for use with [Permissions](/discord-chat/permissions/).

Default permission level: Global

#### `exec <command>`
Executes the given command (including the leading `/`) in Minecraft.

Default permission level: Admin

#### `online`
Lists all players online in Minecraft.

Default permission level: Global

#### `tps [dimension]`
Displays the TPS (ticks per second) for a given dimension (or all dimensions, if none is specified).

Default permission level: Global

#### `unstick <player>`
Teleports the player with the given name back to spawn.

Default permission level: Approved

#### `permission [user]`
Retrieves the permission for a given user (or the command sender, if no user is specified).

Default permission level: Global

#### `setPermission <role> <permission>`
Sets the permission of the given role. See [Permissions](/discord-chat/permissions/) for more information about DiscordChat's permission system.

**Note:** The `role` parameter is the _name_ of the role, not the ID.

Default permission level: Admin
