---
layout: article
title: "Config"
date: 2016-10-23 10:17:42 -0400
mod: discord-chat
mod-name: Discord Chat
---

All configuration settings are under the top level key `discordchat`.

#### `commands.permission`
Each of the sub-keys of this is the minimum permission level for a command. See [Commands](/discord-chat/info/#commands) for the default values.

#### `commands.prefix`
The string to use as the prefix for commands.

Default: `!`

#### `discord`
Settings for connecting to Discord. See [Setup](/discord-chat/setup/) for how to determine these values.

#### `format.achievement`
The format for a player achievement message from MC to Discord.

`$1` will be replaced with the player's username and `$2` will be replaced with the achievement.

Default: `MC » $1 has just earned the achievement $2`

#### `format.death`
The format for a player death message from MC to Discord.

`$1` will be replaced with the player's username and `$2` will be replaced the death message (which includes the player's username).

Default: `MC » $2`

#### `format.fromDiscord`
The format for a normal message from Discord to MC.

`$1` will be replaced with the channel, `$2` will be replaced with the sender's username, and `$3` will be replaced with the message.

Default: `#$1 » <$2> $3`

#### `format.fromMC`
The format for a normal message from MC to Discord.

`$1` will be replaced with the sender's username and `$2` will be replaced with the message.

Default: `MC » <$1> $2`

#### `join`
Format for a player join message from MC to Discord.

`$1` will be replaced with the player's username.

Default: `MC » $1 joined the game`

#### `leave`
Format for a player leave message from MC to Discord.

`$1` will be replaced with the player's username.

Default: `MC » $1 left the game`

#### `relay.achievements`
If achievements should be relayed from Minecraft to Discord.

Default: `true`

#### `relay.deaths`
If death message should be relayed from Minecraft to Discord.

Default: `true`

#### `relay.joinleave`
If player join/leave message should be relayed from Minecraft to Discord.

Default: `true`
